getPurchaseReturnOrders
READGet purchase return orders.
POST /api/v1/purchasing/getPurchaseReturnOrders
curl -X POST '<your-host>/api/v1/purchasing/getPurchaseReturnOrders' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"args": {}
}'Response
{
"results": [
{
"assignee": "string",
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"currencyCode": "string",
"customFields": "…",
"exchangeRate": 0,
"expirationDate": "string",
"externalNotes": "…",
"id": "string",
"internalNotes": "…",
"linesCount": 0,
"locationId": "string",
"orderDate": "string",
"purchaseOrderId": "string",
"purchaseReturnOrderId": "string",
"quantityAuthorized": 0,
"quantityCredited": 0,
"quantityShipped": 0,
"replacementPurchaseOrderId": "string",
"status": "Completed",
"supplierContactId": "string",
"supplierId": "string",
"supplierLocationId": "string",
"supplierReference": "string",
"updatedAt": "string",
"updatedBy": "string"
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"args": {
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
},
"search": {
"type": [
"string",
"null"
]
},
"status": {
"type": [
"string",
"null"
]
},
"supplierId": {
"type": [
"string",
"null"
]
}
}
}
}
}